// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package wm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : Client
 *-----------------------------------------------------------------------------
 *
 * @Description              : Client的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-21 11:04:46
 *
 ******************************************************************************/
type Client struct {
	ClientId       string        `xorm:"pk nvarchar(40) 'ClientId'" json:"WM_Client-ClientId"`
	Descr          string        `xorm:"nvarchar(100) 'Descr' not null" json:"WM_Client-Descr"`
	Address        string        `xorm:"nvarchar(100) 'Address' not null" json:"WM_Client-Address"`
	Name           string        `xorm:"nvarchar(100) 'Name' not null" json:"WM_Client-Name"`
	Name1          string        `xorm:"nvarchar(100) 'Name1' not null" json:"WM_Client-Name1"`
	Name2          string        `xorm:"nvarchar(100) 'Name2' not null" json:"WM_Client-Name2"`
	ValidStartDate grmi.Date     `xorm:"date 'ValidStartDate' not null" json:"WM_Client-ValidStartDate"`
	Country        string        `xorm:"nvarchar(100) 'Country' not null" json:"WM_Client-Country"`
	City           string        `xorm:"nvarchar(100) 'City' not null" json:"WM_Client-City"`
	District       string        `xorm:"nvarchar(100) 'District' not null" json:"WM_Client-District"`
	Street         string        `xorm:"nvarchar(100) 'Street' not null" json:"WM_Client-Street"`
	Location       string        `xorm:"nvarchar(100) 'Location' not null" json:"WM_Client-Location"`
	PostCode       string        `xorm:"nvarchar(20) 'PostCode' not null" json:"WM_Client-PostCode"`
	Phone          string        `xorm:"nvarchar(20) 'Phone' not null" json:"WM_Client-Phone"`
	Mobile         string        `xorm:"nvarchar(20) 'Mobile' not null" json:"WM_Client-Mobile"`
	Fax            string        `xorm:"nvarchar(20) 'Fax' not null" json:"WM_Client-Fax"`
	Email1         string        `xorm:"nvarchar(40) 'Email1' not null" json:"WM_Client-Email1"`
	Email2         string        `xorm:"nvarchar(40) 'Email2' not null" json:"WM_Client-Email2"`
	ContactPerson  string        `xorm:"nvarchar(40) 'ContactPerson' not null" json:"WM_Client-ContactPerson"`
	PersonTitle    string        `xorm:"nvarchar(40) 'PersonTitle' not null" json:"WM_Client-PersonTitle"`
	ContactAddress string        `xorm:"nvarchar(100) 'ContactAddress' not null" json:"WM_Client-ContactAddress"`
	Account        int           `xorm:"int 'Account' not null" json:"WM_Client-Account"`
	TaxRate        string        `xorm:"nvarchar(20) 'TaxRate' not null" json:"WM_Client-TaxRate"`
	Status         int           `xorm:"int 'Status' not null" json:"WM_Client-Status"`
	Province       string        `xorm:"nvarchar(100) 'Province'" json:"WM_Client-Province"`
	ProvinceCode   string        `xorm:"nvarchar(20) 'ProvinceCode'" json:"WM_Client-ProvinceCode"`
	CityCode       string        `xorm:"nvarchar(20) 'CityCode'" json:"WM_Client-CityCode"`
	DistrictCode   string        `xorm:"nvarchar(20) 'DistrictCode'" json:"WM_Client-DistrictCode"`
	LastModify     grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WM_Client-LastModify"`
	LastUser       string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WM_Client-LastUser"`
	CreateTime     grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WM_Client-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-21 11:04:46
 *
 ******************************************************************************/
func (self *Client) GetKey() core.PK {
	return core.PK{self.ClientId}
}
